Summary:	Desktop manager for the Xfce Desktop Environment
Summary(pl.UTF-8):	Zarządca pulpitu dla środowiska Xfce
Name:		xfdesktop
Version:	4.10.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/xfdesktop/4.10/%{name}-%{version}.tar.bz2
# Source0-md5:	54a84ce63046c279fc3ec3f436d2f1b0
URL:		http://www.xfce.org/projects/xfdesktop
BuildRequires:	Thunar-devel >= 1.4.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	garcon-devel >= 0.1.3
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	libwnck2-devel >= 2.22.0
BuildRequires:	libxfce4ui-devel >= 4.10.0
BuildRequires:	libxfce4util-devel >= 4.10.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.10.0
BuildRequires:	xfconf-devel >= 4.10.0
Requires:	garcon >= 0.2.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-dirs >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfdesktop contain a desktop manager for the Xfce Desktop Environment.

%description -l pl.UTF-8
xfdesktop zawiera zarządcę pulpitu dla środowiska Xfce.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--enable-desktop-icons \
	--enable-desktop-menu \
	--enable-exo \
	--enable-file-icons \
	--enable-thunarx

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xfdesktop
%attr(755,root,root) %{_bindir}/xfdesktop-settings
%{_mandir}/man1/*.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/*/apps/*
%dir %{_datadir}/backgrounds/xfce
%{_datadir}/backgrounds/xfce/xfce-blue.jpg
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfdesktop.git;a=log;h=master

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> f7d21e7
- up to 4.10.2 (bugfixes)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> dd7bcd4
- rel 2
- package missing dir

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 33b7627
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a4e13bc
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 16466a4
- 4.10.0

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 7698128
- 4.8.3

* Sat Apr 23 2011 Jan Rękorajski <baggins@pld-linux.org> 36b58c2
- added new help langs

* Sat Apr 23 2011 Jan Rękorajski <baggins@pld-linux.org> f309894
- 4.8.2

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 974b680
- release 2

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2fc9a34
- obsolete

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0014dac
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> a4ec3d9
- Requires(post,postun): gtk-update-icon-cache

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 3599560
- no ur_PK locale

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> cd468e2
- 4.6.2

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 7820a4b
- rel 6
- dirs cleanup

* Sun May 16 2010 Jan Rękorajski <baggins@pld-linux.org> 109a2ef
- rel 5

* Sun May 16 2010 Jan Rękorajski <baggins@pld-linux.org> f988585
- search for applications.menu first (just like libxfce4menu)

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a093a06
- release 4

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 81c7577
- release 3

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d125f7
- drop obsolete files

